DefaultTask (Gradle API 5.2.1)
Date: 2019-02-08

Package org.gradle.api

## Class DefaultTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`
  Direct Known Subclasses:
    `AbstractLinkTask`, `AbstractNativeCompileTask`, `AbstractPublishToMaven`, `Assemble`, `BrowserEvaluate`, `BuildEnvironmentReportTask`, `CompareGradleBuilds`, `ComponentReport`, `org.gradle.api.internal.ConventionTask`, `CreateStaticLibrary`, `DependencyInsightReportTask`, `DependentComponentsReport`, `ExtractSymbols`, `GenerateBuildDashboard`, `GenerateCUnitLauncher`, `GenerateIvyDescriptor`, `GenerateMavenPom`, `GenerateModuleMetadata`, `GeneratePluginDescriptors`, `GenerateSwiftPackageManagerManifest`, `InitBuild`, `InstallExecutable`, `InstallXCTestBundle`, `JacocoBase`, `JDepend`, `ModelReport`, `PluginUnderTestMetadata`, `PrefixHeaderFileGenerateTask`, `PublishToIvyRepository`, `Sign`, `StripSymbols`, `SwiftCompile`, `TestReport`, `UnexportMainSymbol`, `WindowsResourceCompile`, `Wrapper`, `WriteProperties`

      public class DefaultTask
      extends org.gradle.api.internal.AbstractTask

  `DefaultTask` is the standard `Task` implementation. You can extend this to implement your own task types.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected DirectoryProperty` | `newInputDirectory()` | Deprecated. Replaced by `ObjectFactory.directoryProperty()`
    `protected RegularFileProperty` | `newInputFile()` | Deprecated. Replaced by `ObjectFactory.fileProperty()`
    `protected DirectoryProperty` | `newOutputDirectory()` | Deprecated. Replaced by `ObjectFactory.directoryProperty()`
    `protected RegularFileProperty` | `newOutputFile()` | Deprecated. Replaced by `ObjectFactory.fileProperty()`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTask

          public DefaultTask()

  - ### Method Detail

    - #### newOutputDirectory

          @Deprecated
          protected final DirectoryProperty newOutputDirectory()

      Deprecated.
      Replaced by `ObjectFactory.directoryProperty()`
      Creates a new output directory property for this task.
      Returns:
        The property.
      Since:
        4.4

    - #### newOutputFile

          @Deprecated
          protected final RegularFileProperty newOutputFile()

      Deprecated.
      Replaced by `ObjectFactory.fileProperty()`
      Creates a new output file property for this task.
      Returns:
        The property.
      Since:
        4.4

    - #### newInputFile

          @Deprecated
          protected final RegularFileProperty newInputFile()

      Deprecated.
      Replaced by `ObjectFactory.fileProperty()`
      Creates a new input file property for this task.
      Returns:
        The property.
      Since:
        4.4

    - #### newInputDirectory

          @Deprecated
          protected final DirectoryProperty newInputDirectory()

      Deprecated.
      Replaced by `ObjectFactory.directoryProperty()`
      Creates a new input directory property for this task.
      Returns:
        The property.
      Since:
        4.4